#include <bits/stdc++.h>
using namespace std;
#define int long long

template<typename T>
istream& operator>>(istream& in, vector<T>& v) {
    for (T& i : v) in >> i;
    return in;
}

void solve() {
    int n, m, g;
    cin >> n >> m >> g;
    cout << n - 1 << '\n' << 1;
}

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t = 1;
    // cin >> t;
    while (t--)
        solve(), cout << '\n';
}
